<?xml version="1.0" encoding="utf-8"?>
<odoo>
	<!-- Product -->
	<template id="product_ept" inherit_id="website_sale.product"
		name="product" priority="15">
		<xpath expr="//div[@id='product_details']/h1" position="attributes">
			<attribute name="class">t_product_name</attribute>
		</xpath>
		 <!-- Replaced Indicators -->
		<xpath expr="//div[@id='o-carousel-product']/ol[hasclass('carousel-indicators')]" position="replace">
		</xpath>
		<xpath expr="//hr[@t-if='product.description_sale']" position="replace">
		</xpath>
		<xpath expr="//p[@t-field='product.description_sale']" position="replace">
	</xpath>
		<xpath expr="//h1[@t-field='product.name']" position="after">
			<div class="o_not_editable">
				<p t-field="product.description_sale" class="t_prod_desc" />
			</div>
		</xpath>
		<xpath expr="//t[@t-call='website_sale.product_price']"
			position="replace">
		</xpath>
		<xpath expr="//t[@t-placeholder='select']" position="before">
			<t t-call="website_sale.product_price" />
		</xpath>
		
		<xpath expr="//div[@id='product_details']" position="attributes">
			<attribute name="class">col-12 col-xl</attribute>
		</xpath>
		<xpath expr="//div[hasclass('row')]/div[hasclass('col-md-6')]"
			position="attributes">
			<attribute name="class">col-12 col-xl</attribute>
		</xpath>

		<xpath expr="//div[hasclass('row')]/div[hasclass('col-md-4')]"
			position="replace">
		</xpath>
		<xpath expr="//t[@t-call='website_sale.pricelist_list']"
			position="replace">
		</xpath>
		<xpath expr="//div[@id='product_full_description']" position="replace">
			 <div itemprop="description"  t-field="product.website_description" class="oe_structure container t_product_tab tab1C" id="product_full_description" />
		</xpath>
		<xpath expr="//section[@id='product_detail']" position="before">
			<div class="t_product_breadcrumb">
				<ol class="breadcrumb">
					<section class="container">
						<li class="breadcrumb-item">
							<a t-att-href="keep(category=0)">Products</a>
						</li>
						<li t-if="category" class="breadcrumb-item">
							<a t-att-href="keep('/shop/category/%s' % slug(category), category=0)"
								t-field="category.name" />
						</li>
						<li class="breadcrumb-item active">
							<span t-field="product.name" />
						</li>
					</section>
				</ol>
			</div>
		</xpath>
		<xpath expr="//section[@id='product_detail']" position="after">
			<!-- Tabs -->
			<div class="container tabs_container_main">
				<div class="row">
					<ul id="t_product_tabs">
						<li groups="base.group_public" t-if="product.website_description">
							<a id="tab1">Description</a>
						</li>
						<li t-if="not user_id._is_public()">
							<a id="tab1">Description</a>
						</li>
						<li class="specification_li">
							<a id="tab2">Specification</a>
						</li>
						<li class="rating_review_li">
							<a id="tab3">Ratings and Reviews</a>
						</li>
					</ul>
				</div>
			</div>
		</xpath>
		<xpath expr="//div[@id='product_details']/hr" position="after">
             <div class="row  my-3" t-if="product.product_brand_ept_id and product.product_brand_ept_id.website_id.id == request.website.id">
                <div class="col-sm-3" t-if="product.product_brand_ept_id.logo"
				t-field="product.product_brand_ept_id.logo" t-options="{'widget': 'image','class':'t_product_brand_img'}"></div>
                <div class="col-sm-9 pl-sm-0">
                    <p class="t_product_brand_desc" t-if="product.product_brand_ept_id.description" t-field="product.product_brand_ept_id.description"></p>
                </div>
            </div>
        </xpath>
        <xpath expr="//p[hasclass('text-muted')]" position="replace"> 
        	<p class="text-muted">
                              30-day money-back guarantee<br />
                              Free Shipping in U.S.<br />
                              Buy now, get in 2 days
                            </p>
        </xpath>
		<xpath expr="//div[@id='product_full_description']" position="after">
			<!-- Alternative Products -->
			<div class="recommended_product_slider_main container mb32">
				<div t-if="product.alternative_product_ids" class="alternative_product_main">
					<div id="myCarousel_alt_prod" class="carousel slide theme_carousel_common"
						data-interval="5000">
						<h3 class="t_product_alt_h3">Alternative Products:</h3>
						<!-- Controls -->
						<t t-if="len(product.alternative_product_ids) &gt; 1">
							<div class="carousel-control-prev" data-target="#myCarousel_alt_prod"
								data-slide="prev" role="img" aria-label="Previous" title="Previous">
								<span class="carousel-control-prev-icon" />
								<span class="sr-only">Previous</span>
							</div>
							<div class="carousel-control-next" data-target="#myCarousel_alt_prod"
								data-slide="next" role="img" aria-label="Next" title="Next">
								<span class="carousel-control-next-icon" />
								<span class="sr-only">Next</span>
							</div>
						</t>
						<div class="carousel-inner">
							<t t-foreach="product.alternative_product_ids" t-as="alt_product">
								<div class="carousel-item">
									<div class="oe_product mt16 prod_details">
										<div class="oe_product_cart">
											<div class="oe_product_image">
												<a t-attf-href="/shop/product/#{ slug(alt_product) }">
													<div itemprop="image" class="new_span"
														t-attf-content="{{request.httprequest.url_root}}web/image/product.template/{{alt_product.id}}/image/"
														t-field="alt_product.image"
														t-options="{'widget': 'image', 'resize': '600x600', 'zoom': 'image'}"
														t-att-alt="alt_product.name" />
												</a>
											</div>
											<section class="alt_detail_section">
												<h6>
													<a class="product_name" t-attf-href="/shop/product/#{ slug(alt_product) }">
														<span t-att-title="alt_product.name" t-field="alt_product.name"
															class="o_text_overflow" />
													</a>
												</h6>
												<div itemprop="offers" itemscope="itemscope"
													itemtype="http://schema.org/Offer" class="product_price"
													t-if="alt_product.product_variant_ids">
													<b>
														<t
															t-if="alt_product.product_variant_id and alt_product.website_price_difference and website.get_current_pricelist().discount_policy=='without_discount'">
															<del class="t_shop_del mr8" style="white-space: nowrap;"
																t-esc="compute_currency(alt_product.website_public_price)"
																t-options="{'widget': 'monetary', 'display_currency': website.get_current_pricelist().currency_id, 'from_currency': website.currency_id}" />
														</t>
														<span t-esc="alt_product.website_price"
															t-options="{'widget': 'monetary', 'display_currency': website.currency_id}" />
														<span itemprop="price" style="display:none;"
															t-esc="alt_product.website_price" />
														<span itemprop="priceCurrency" style="display:none;"
															t-esc="website.currency_id.name" />
													</b>
												</div>
											</section>
										</div>
									</div>
								</div>
							</t>
						</div>
					</div>
				</div>
				<!-- Accessory Products -->
				<div t-if="product.accessory_product_ids" class="accessory_product_main">
					<div id="myCarousel_acce_prod" class="carousel slide theme_carousel_common"
						data-interval="5000">
						<h3 class="t_product_alt_h3">Accessory Products:</h3>
						<!-- Controls -->
						<t t-if="len(product.accessory_product_ids) &gt; 1">
							<div class="carousel-control-prev" data-target="#myCarousel_acce_prod"
								data-slide="prev" role="img" aria-label="Previous" title="Previous">
								<span class="carousel-control-prev-icon" />
								<span class="sr-only">Previous</span>
							</div>
							<div class="carousel-control-next" data-target="#myCarousel_acce_prod"
								data-slide="next" role="img" aria-label="Next" title="Next">
								<span class="carousel-control-next-icon" />
								<span class="sr-only">Next</span>
							</div>
						</t>
						<div class="carousel-inner">
							<t t-foreach="product.accessory_product_ids" t-as="alt_product">
								<div class="carousel-item">
									<div class="oe_product mt16 prod_details">
										<div class="oe_product_cart">
											<div class="oe_product_image">
												<a t-attf-href="/shop/product/#{ slug(alt_product.product_tmpl_id) }">
													<div itemprop="image" class="new_span"
														t-attf-content="{{request.httprequest.url_root}}web/image/product.template/{{alt_product.id}}/image/"
														t-field="alt_product.image"
														t-options="{'widget': 'image', 'resize': '600x600', 'zoom': 'image'}"
														t-att-alt="alt_product.name" />
												</a>
											</div>
											<section class="alt_detail_section">
												<h6>
													<a class="product_name" t-attf-href="/shop/product/#{ slug(alt_product.product_tmpl_id) }">
														<span t-att-title="alt_product.name" t-field="alt_product.name"
															class="o_text_overflow" />
													</a>
												</h6>
												<div itemprop="offers" itemscope="itemscope"
													itemtype="http://schema.org/Offer" class="product_price"
													t-if="alt_product.product_variant_ids">
													<b>
														<t
															t-if="alt_product.product_variant_id and alt_product.website_price_difference and website.get_current_pricelist().discount_policy=='without_discount'">
															<del class="t_shop_del mr8" style="white-space: nowrap;"
																t-esc="compute_currency(alt_product.website_public_price)"
																t-options="{'widget': 'monetary', 'display_currency': website.get_current_pricelist().currency_id, 'from_currency': website.currency_id}" />
														</t>
														<span t-esc="alt_product.website_price"
															t-options="{'widget': 'monetary', 'display_currency': website.currency_id}" />
														<span itemprop="price" style="display:none;"
															t-esc="alt_product.website_price" />
														<span itemprop="priceCurrency" style="display:none;"
															t-esc="website.currency_id.name" />
													</b>
												</div>
											</section>
										</div>
									</div>
								</div>
							</t>
						</div>
					</div>
				</div>
			</div>

		</xpath>
	</template>
	<template id="shop_product_carousel_ept" inherit_id="website_sale.shop_product_carousel">
		<xpath expr="//div[@id='o-carousel-product']//div[hasclass('carousel-inner')]" position="replace">
     		<div class="carousel-inner">
                    <div t-if="variant_img" class="carousel-item zoomIn active" itemprop="image" t-field="product_variant.image" t-options="{'widget': 'image', 'class': 'product_detail_img js_variant_img', 'alt-field': 'name', 'zoom': 'image', 'unique': str(product['__last_update']) + (str(product_variant['__last_update']) or '')}"/>
                    <div t-attf-class="carousel-item zoomIn #{'' if variant_img else ' active'}" itemprop="image" t-field="product.image" t-options="{'widget': 'image', 'class': 'product_detail_img', 'alt-field': 'name', 'zoom': 'image', 'unique': product['__last_update']}"/>
                    <t t-if="len(image_ids)" t-foreach="image_ids" t-as="pimg">
                        <div class="carousel-item zoomIn" t-field="pimg.image" t-options='{"widget": "image", "class": "product_detail_img", "alt-field": "name", "zoom": "image" }'/>
                    </t>
                </div>
     	</xpath>
       <xpath expr="//ol[hasclass('carousel-indicators')]" position="replace">
             <div t-if="len(image_ids) or variant_img" id="carousel-pager" class="carousel slide" data-ride="carousel" data-interval="500000000">
                 <div class="carousel-inner vertical">
                <li t-if="variant_img" class="carousel-item active">
                    <img class="img img-fluid js_variant_img_small" data-slide-to="0"   data-target="#o-carousel-product" t-attf-src="/website/image/product.product/{{product_variant.id}}/image/90x90" t-att-alt="product.name"/>
                </li>
                <li t-att-class="'carousel-item' if variant_img else 'carousel-item active'">
                    <img class="img img-fluid"  t-att-data-slide-to="1 if variant_img else '0'"   data-target="#o-carousel-product" t-attf-src="/website/image/product.template/{{product.id}}/image/90x90" t-att-alt="product.name"/>
                </li>
                <t t-if="len(image_ids)" t-foreach="image_ids" t-as="pimg">
                    <li class="carousel-item">
                        <img class="img img-fluid"  data-target="#o-carousel-product"  t-att-data-slide-to="pimg_index + (variant_img and 2 or 1)" t-attf-src="/website/image/product.image/{{pimg.id}}/image/90x90" t-att-alt="pimg.name"/>
                    </li>
                </t>
                </div>
                <a class="carousel-control-up" href="#carousel-pager" role="button" data-slide="prev">
                   <span class="fa fa-angle-up" role="img" aria-label="Previous" title="Previous"/>
                </a>
                <a class="carousel-control-down" href="#carousel-pager" role="button" data-slide="next">
                    <span class="fa fa-angle-down" role="img" aria-label="Next" title="Next"/>
                </a>
            </div>
        </xpath>
    </template>
	<template id="produc_cart_ept" inherit_id="website_sale.product"
		name="product" priority="25">
		<xpath expr="//a[@id='add_to_cart']" position="before">
			<span class="t_a2c_divider"></span>
		</xpath>
	</template>
	<!-- Product variants -->
	<template id="variants_ept" inherit_id="sale.variants">
		<xpath expr="//label[hasclass('col-form-label')]" position="attributes">
			<attribute name="style"></attribute>
		</xpath>
		<xpath expr="//li/strong" position="replace">
			<h6 t-field="variant_id.attribute_id.name"></h6>
		</xpath>
	</template>
	<!-- Product Quantity -->
	<template id="product_quantity_ept" inherit_id="website_sale.product_quantity">
		<xpath expr="//div[hasclass('css_quantity')]" position="attributes">
			<attribute name="class">css_quantity input-group oe_website_spinner
				t_product_quantity
			</attribute>
		</xpath>
	</template>
	<!-- Product Rating -->
	<template id="product_comment_ept" inherit_id="website_sale.product_comment">
		<xpath expr="//div[hasclass('o_shop_discussion_rating')]"
			position="attributes">
			<attribute name="class">t_product_tab tab3C
				o_shop_discussion_rating container
			</attribute>
		</xpath>
	</template>
	<!-- Social buttons for share product -->	
	<template id="share_product" inherit_id="website_sale.product">
		<xpath expr="//div[@id='product_details']/p[last()]" position="after">
			<div class="product_share">
				<div class="oe_share s_share">
					<a target="_Blank" href="https://www.facebook.com/sharer/sharer.php?u={url}" class="oe_share_icon">
						<i class="fa fa-facebook"></i>
					</a>
					<a target="_Blank" href="https://twitter.com/intent/tweet?text={title}&amp;url={url}" class="oe_share_icon">
						<i class="fa fa-twitter"></i>
					</a>
					<a target="_Blank" href="http://www.linkedin.com/shareArticle?mini=true&amp;url={url}&amp;title={title}&amp;" class="oe_share_icon">
						<i class="fa fa-linkedin"></i>
					</a>
					<a target="_Blank" href="https://plus.google.com/share?url={url}" class="oe_share_icon">
						<i class="fa fa-google-plus"></i>
					</a>
					<a href="mailto:?body={url}&amp;subject={title}" class="oe_share_icon">
						<i class="fa fa-envelope-o"></i>
					</a>
				</div>
			</div>
		</xpath>
	</template>
	<!-- Remove Default Alternative Products item -->
	<template id='recommended_products_ept' inherit_id="website_sale.recommended_products" name="Alternative Products">
        <xpath expr="//div[@t-if='product.alternative_product_ids']" position="replace">
        </xpath>
    </template>
	
	<!-- extra detail-->
    <template id="extra_detail" inherit_id="website_sale.product" name="Extra Details Icon">
		<xpath expr="//div[@id='product_details']" position="after">
		<div class="oe_structure">
			<p></p>
			<div class="col-12 col-xl t_icon_column">
			<section>
				<div id="myCollapse" class="accordion" role="tablist">
					<div class="card">
						<div class="d-block d-xl-none t_extra_header">
	                    	<a href="#extra_detail_content" role="tab" data-toggle="collapse" aria-expanded="false" class="collapsed card-header">Extra Details Icon</a>
	                    </div>
						<div class="collapse d-xl-block" id="extra_detail_content" role="tabpanel">
	                        <section class="card-body">
				    			<div class="t_icon_block">
				    				<div class="t_extra_icon"><span class="fa fa-credit-card"></span></div>
									<div class="t_icon_content">
						    			<h5><a href="#">Safe Payment</a></h5>
						    			<p>Pay with the world’s most payment methods.</p>
						    		</div>
					    		</div>
					    		<div class="t_icon_block">
						    		<div class="t_extra_icon"><span class="fa fa-shield"></span></div>
						    		<div class="t_icon_content">
							    		<h5><a href="#">Confidence</a></h5>
							    		<p>Protection covers your purchase</p>
									</div>
						    	</div>
						    	<div class="t_icon_block">
						    		<div class="t_extra_icon"><span class="fa fa-truck"></span></div>
						    		<div class="t_icon_content">
						    			<h5><a href="#">Worldwide Delivery</a></h5>
						    			<p>Ship to over 200 countries regions.</p>
						    		</div>
						    	</div>
					    	</section>
					    </div>
					</div>
				</div>
				<section>
				<div class="t_icon_block t_icon_block_extra">
					<div class="t_icon_content"><h4>hotline</h4></div>
						<div class="t_extra_icon"><span class="fa fa-headphones"></span></div>
						<div class="t_icon_content_phone">
						<p>(+123) 456 789</p>
						<p>(+123) 666 888</p>
					</div>
				</div>
				</section>
			</section>
			</div>
		</div>
		</xpath>
	</template>
</odoo>
